package cn.com.ctop.alarm.modules.service;

import cn.com.ctop.alarm.modules.entity.AlarmEventRule;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;

/**
 * @Description: 预警事件规则表
 * @Author: jeecg-boot
 * @Date: 2020-10-29
 * @Version: V1.0
 */
public interface IAlarmEventRuleService extends IService<AlarmEventRule> {

    Result<Object> addAlarmEventRule(JSONObject obj);

    Result<Object> editAlarmEventRule(JSONObject obj);

    AlarmEventRule selectById(Long id);

    PageInfo<AlarmEventRule> selectListPage(AlarmEventRule alarmEventRule);

    void deleteById(Long id);

    PageInfo<AlarmEventRule> queryRunningRecordPage(AlarmEventRule alarmEventRule);
}
